# Match

## Simple

```go
pkg main

import std/io

enum Food {
    Cake,
    Pizza,
    Burger,
    Salat
}

fn match_this(Food food) {
    match food {
        Food:Cake -> io:println("A Lie")
        Food:Pizza,Food:Burger -> {
            io:println("Yunk Food")
        }
        _ -> io:println("What is this?")
    }
}
```

## To Variable

```go
pkg main

import std/io

enum Food {
    Cake,
    Pizza,
    Burger,
    Salat
}

fn match_this(Food food) {
    info := match food {
        Food:Cake -> {
            return "A Lie"
        } 
        Food:Pizza,Food:Burger -> "Yunk Food"
        _ -> "What is this?"
    }
    io:println(info)
}
```

